Subject: Re: [PATCH] remote: align --verbose output with spaces

From: shejialuo <[email-masked]>
Date: Wed, 18 Dec 2024 21:52:39 +0800

On Tue, Dec 17, 2024 at 12:21:37PM -0800, Junio C Hamano wrote:
> shejialuo <[email-masked]> writes:
> 
> > On Tue, Dec 17, 2024 at 12:39:36PM +0000, Wang Bing-hua via GitGitGadget wrote:
> >> From: Wang Bing-hua <[email-masked]>
> >> 
> >> Remote names exceeding a tab width could cause misalignment.
> 
> If all of them are named with ten ASCII characters, on a terminal
> with fixed-width font, things will still display aligned ;-)
> 
> >> Align --verbose output with spaces instead of a tab.
> >> 
> >
> > Good enhancement.
> 
> With a Devil's advocate hat on, a change like this will completely
> break tools when they are reading the "--verbose" output and
> expecting that the fields are separated with a TAB (in other words,
> the tab is *not* about alignment in the first place for them).
> 

Yes, I agree. Although we may provide convenience for the end user, but
we may break other tools parsing the output. I think I bring confusion
to the Wang. Actually, I have seen that Wang contributes to Git in the
first time, so I just want to courage.

> Now with that hat off.
> 
> For users with that many remotes where the alignment of URLs in the
> interactive "git remote -v" output matter, I am not sure if this
> change is a real improvement enough that it is worth the possible
> risk of breaking existing tools.  With that many remotes defined,
> wouldn't they be doing "git remote -v" piped to "grep '^name<TAB>'"
> or something?  That use case would break with the change, too.
> 
> Thanks.